Subject: Re: [PATCH] checkout tests: enable test with complex relative path

From: Jonathan Nieder <[email-masked]>
Date: Thu, 10 Oct 2013 10:54:28 -0700

Stefan Beller wrote:
> On 10/09/2013 09:39 PM, Jonathan Nieder wrote:
>> Stefan Beller wrote:

>>> This test was put in, but commented out in fed1b5ca (2007-11-09,
>>> git-checkout: Test for relative path use.)
>>> It's been a while since 2007 and the intended test case works now.
>>> (I could not find the enabling commit in ls-files however.)
>>
>> Bisects to v1.5.5-rc0~184^2~3 (setup: sanitize absolute and funny paths
>> in get_pathspec(), 2008-01-28).  Thanks.
>
> Do you want me to resend a reworded patch, or could you amend that
> information to this patch?

Added locally, along with a couple of other nits.  Will push out soon,
and then a sanity check on the result would be much appreciated.